package com.yihu.hos.http;

import org.apache.http.client.CredentialsProvider;
import org.apache.http.impl.client.HttpClients;

/**
 * 用于HTTP和受信证书的HTTPS访问
 *
 * @created Airhead 2016/8/24.
 */
class HTTPClientImpl extends HTTPClientDefaultImpl {
    HTTPClientImpl() {
        super(HttpClients.createDefault(), null);
    }

    HTTPClientImpl(CredentialsProvider credentialsProvider){
        super(HttpClients.createDefault(), credentialsProvider);
    }
}
